in vec3 Normal;
in vec3 LightDir;
in vec3 EyeVector;
uniform vec4 front_color;
uniform vec4 spec_color;
uniform vec4 ambiant_color;
uniform float spec_coef;
out vec4 fragColor;
void main()
{
  vec3 N = normalize(Normal);
  vec3 L = normalize(LightDir);
  vec4 finalColor = ambiant_color;
  float lambertTerm = clamp(dot(N, L), 0.0, 1.0);
  finalColor += front_color * lambertTerm;
  vec3 E = normalize(EyeVector);
  vec3 R = reflect(-L, N);
  float specular = pow(max(dot(R, E), 0.0), spec_coef);
  finalColor += spec_color * specular;
  fragColor = finalColor;
} 
